From ac654f13323610fe53c7bb3cbd0ae554d1c5d9cb Mon Sep 17 00:00:00 2001
From: sezero <sezero@users.sourceforge.net>
Date: Sun, 22 Jan 2017 11:11:10 +0300
Subject: [PATCH 2/9] share/compat.h: properly define fseeko, ftello and
 FLAC__off_t for Watcom

---
 include/share/compat.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/include/share/compat.h b/include/share/compat.h
index 94edbd2..4e59b3a 100644
--- a/include/share/compat.h
+++ b/include/share/compat.h
@@ -58,6 +58,10 @@
 #define ftello ftello64
 #endif
 #endif
+#elif defined __WATCOMC__
+#define fseeko _fseeki64
+#define ftello _ftelli64
+#define FLAC__off_t long long
 #else
 #define FLAC__off_t off_t
 #endif
-- 
1.8.5.5

